Bug 1272023 - vpn password request still visible after timeout (3 mins)
Summary: vpn password request still visible after timeout (3 mins)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-15 09:57 UTC by Vladimir Benes
Modified: 2015-11-19 11:06 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.0.6-25.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:06:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Suggested fix (1.07 KB, text/plain)
2015-10-20 17:46 UTC, Lubomir Rintel
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Vladimir Benes 2015-10-15 09:57:54 UTC
Description of problem:
Libreswan vpn connection password dialog is shown after 3 mins timeout but it should be taken down. Not sure if GS should do it or NM has to initiate such action. 
Actually it seems from logs that service is not working after 2 minutes already.
Oct 15 11:48:40 trautenberg NetworkManager[924]: <info>  Starting VPN service 'libreswan'...
Oct 15 11:48:40 trautenberg NetworkManager[924]: <info>  VPN service 'libreswan' started (org.freedesktop.NetworkManager.libreswan), PID 3197
Oct 15 11:48:40 trautenberg NetworkManager[924]: <info>  VPN service 'libreswan' appeared; activating connections
Oct 15 11:48:44 trautenberg kernel: wlp3s0: Limiting TX power to 18 dBm as advertised by 34:bd:c8:9d:f9:2e
Oct 15 11:50:40 trautenberg NetworkManager[924]: <error> [1444902640.419424] [vpn-manager/nm-vpn-connection.c:1980] get_secrets_cb(): Failed to request VPN secrets #3: (4) No agents were available for this request.
Oct 15 11:51:24 trautenberg kernel: wlp3s0: Limiting TX power to 18 dBm as advertised by 34:bd:c8:9d:f9:2e
Oct 15 11:51:40 trautenberg NetworkManager[924]: <info>  VPN service 'libreswan' disappeared
Oct 15 11:51:43 trautenberg kernel: wlp3s0: Limiting TX power to 18 dBm as advertised by 34:bd:c8:9d:f9:2e

not sure if timeout to 3 minutes is OK and shouldn't be smaller (< 2 mins)

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-21.el7.x86_64
libreswan-3.12-10.1.el7_1.x86_64
NetworkManager-libreswan-1.0.6-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.start libreswan connection from gnome shell
2.but leave password dialog open w/o touching it

Actual results:
dialog still here after 3 minutes

Expected results:
dialog should be gone

Additional info:

Comment 1 Jirka Klimes 2015-10-15 12:07:50 UTC
Increasing timeout to 3 minutes was an intentional change [1]. Closing the dialog is gnome-shell responsibility. I am not sure whether the timeout is meaningfully signalled to clients, though.

[1] http://pkgs.devel.redhat.com/cgit/rpms/NetworkManager/commit/?h=rhel-7.2&id=b839d6f10752cad2d629d7cbadcf7a243db39fb2

Comment 2 Lubomir Rintel 2015-10-20 17:46:38 UTC
Created attachment 1084850 [details]
Suggested fix

Comment 3 Lubomir Rintel 2015-10-20 17:48:17 UTC
This indeed is a cosmetic issue; I don't think it should be a blocker.

Comment 4 Lubomir Rintel 2015-10-23 16:37:23 UTC
nm-1-0:

2419588 libnm-glib,vpn-plugin: remove old connect timer when adding new one
0a95f00 agent-manager: cancel secrets requests on an error

master:

a5feb44 libnm,vpn-service-plugin: remove old connect timer when adding new one
842889b libnm-glib,vpn-plugin: remove old connect timer when adding new one
5d1cac8 agent-manager: cancel secrets requests on an error

Comment 6 Vladimir Benes 2015-10-29 14:15:52 UTC
1. timeout was tested
2. 3 times bad password and connecting with correct one
3. correct connecting and persistence

all is working right

Comment 7 errata-xmlrpc 2015-11-19 11:06:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.